#include <iostream>
using namespace std;
int main(){
    int brojsanti,brojputeva,brojac=0,z=-1;
    cin>>brojsanti>>brojputeva;
    int putevi[brojsanti][3];
    for (int i = 0; i < brojsanti; i++)
    {
        cin>>putevi[i][0]>>putevi[i][1]>>putevi[i][2];
        
    }
    int poza,pozb,brojprvih=0;
    cin>>poza>>pozb;
    
    cout<<z;

    
}